package com.sdtool.common.entity.site;

import com.sweetfish.util.Comment;

/**
 * Created by jlutt on 2018-11-23.
 *
 * @author jlutt
 */
public class SysMessageStatus {

    private long userId;

    private long messageId;

    @Comment("对应内容id")
    private long textId;

    private int messageType;

    @Comment("发送人id")
    private long sendUserId;

    @Comment("发送人")
    private String sendUserName;

    @Comment("发送时间")
    private long sendTimeLong;

    private int readStatus;

    private int voidFlag;

    public long getUserId() {
        return userId;
    }

    public void setUserId(long userId) {
        this.userId = userId;
    }

    public long getMessageId() {
        return messageId;
    }

    public void setMessageId(long messageId) {
        this.messageId = messageId;
    }

    public int getReadStatus() {
        return readStatus;
    }

    public void setReadStatus(int readStatus) {
        this.readStatus = readStatus;
    }

    public int getVoidFlag() {
        return voidFlag;
    }

    public void setVoidFlag(int voidFlag) {
        this.voidFlag = voidFlag;
    }

    public int getMessageType() {
        return messageType;
    }

    public void setMessageType(int messageType) {
        this.messageType = messageType;
    }

    public long getSendUserId() {
        return sendUserId;
    }

    public void setSendUserId(long sendUserId) {
        this.sendUserId = sendUserId;
    }

    public String getSendUserName() {
        return sendUserName;
    }

    public void setSendUserName(String sendUserName) {
        this.sendUserName = sendUserName;
    }

    public long getSendTimeLong() {
        return sendTimeLong;
    }

    public void setSendTimeLong(long sendTimeLong) {
        this.sendTimeLong = sendTimeLong;
    }

    public long getTextId() {
        return textId;
    }

    public void setTextId(long textId) {
        this.textId = textId;
    }
}
